// ************** LAYOUT
:root {
  font-size: 62.5%;

  body {
    background: rgb(79,216,165);
    color: map-get($colors, 'text');
    font-size: 1.4rem;
    font-family: $app-font-primary;
    font-weight: 500;
    line-height: 1.6;
    margin: 0;
    @include app-background;
    
    ::selection {
      background: map-get($colors, 'primaryLighter');
      color: map-get($colors, 'textInvert');
    }

    //remove tap blue color on mobile device:
    -webkit-tap-highlight-color: rgba(0, 0, 0, 0);
    -webkit-tap-highlight-color: transparent;

    @include media-breakpoint-up(xxl) {
      font-size: 2rem;
    }
  }
}
// ************** EOF: LAYOUT

svg, img {
  display: block;
  @include square(2rem); // default size
}

button {
  background: none;
  color: currentColor;
  cursor: pointer;
  margin: 0;
  padding: 0;
}

// autofill style
input:-webkit-autofill,
input:-webkit-autofill:hover,
input:-webkit-autofill:focus,
input:-webkit-autofill:active  {
    -webkit-box-shadow: 0 0 0 30px white inset !important;
}

// animations
@keyframes animation-reveal {
  from {opacity:0;}
  to {opacity:1;}
}

// custom útilities
.app-hidden-text {
  position: absolute;
  left: -10000px;
  top: auto;
  width: 1px; 
  height: 1px;
  overflow: hidden;
}
.app-text-link {
  text-decoration: underline;

  &:hover {
    text-decoration: none;
  }
}
.app-cursor-pointer {
  cursor: pointer;
}
.app-fill-current-color {
  fill: currentColor;
}
